/********************************************************
Created by hange_v;
FreeRTOS-TCPIPҪûʵֵĺ
********************************************************/

#include "FreeRTOS_IP.h"
#include "public.h"

/*-------------------------------------------------------------
  FreeRTOSTCPIPDHCPͨ꿪,ʱж,
  ѺƸĳ˱ipconfigUSE_DHCP_Variable,
  ͬʱipconfigUSE_DHCPΪ1,
  Эջ֮ǰҪȸipconfigUSE_DHCP_Variableֵ 
-------------------------------------------------------------*/
int ipconfigUSE_DHCP_Variable = 0;

//vLoggingPrintfFreeRTOSIPConfig.hбΪprintf
//#define vLoggingPrintf  printf  //Ϊprintf

static u32 mRNG_GetValue(void)
{
  static u32 rng = 10000;
  
  portENTER_CRITICAL();
  rng += 158;
  portEXIT_CRITICAL();
  
  return rng;
}

/* Generate a randomized TCP Initial Sequence Number per RFC. */
uint32_t ulApplicationGetNextSequenceNumber( uint32_t ulSourceAddress,
													uint16_t usSourcePort,
													uint32_t ulDestinationAddress,
													uint16_t usDestinationPort )
{
	u32 rng = 0;
	do {
		rng = mRNG_GetValue();
	} while(rng == 0);
	
	return rng;
}

BaseType_t xApplicationGetRandomNumber( uint32_t * pulNumber )
{
  *pulNumber = 0;
	do {
		*pulNumber = mRNG_GetValue();
	} while(*pulNumber == 0);
	
	return pdTRUE;
}

//׼ʱ Ӻ
void vApplicationIPNetworkEventHook(eIPCallbackEvent_t eNetworkEvent)
{
  mDebug("vApplicationIPNetworkEventHook\n");
}

//DHCP
const char * pcApplicationHostnameHook( void )
{
  const char *p = "FreeRTOS TCPIP Device";
  return p;
}














